GCLOUD_KMS_KEYRINGS_GET-IAM-POLICY(1)

NAME

gcloud kms keyrings get-iam-policy - get the IAM policy for a keyring

SYNOPSIS

gcloud kms keyrings get-iam-policy KEYRING [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Gets the IAM policy for the given keyring. Returns an empty policy if the resource does not have a policy set.

POSITIONAL ARGUMENTS

    KEYRING
        Name of the keyring whose IAM policy to fetch.

FLAGS

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command gets the IAM policy for the keyring fellowship within the location us-central1:
    $ gcloud kms keyrings get-iam-policy fellowship \
        --location us-central1